Package com.sun.star.script.framework.provider.oorexx

# Class ScriptEditorForooRexx

java.lang.Object
com.sun.star.script.framework.provider.oorexx.ScriptEditorForooRexx

All Implemented Interfaces:
  `com.sun.star.script.framework.provider.ScriptEditor`, `ActionListener`, `EventListener`

public class ScriptEditorForooRexx extends Object implements com.sun.star.script.framework.provider.ScriptEditor, ActionListener

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  `void`
  `edit(com.sun.star.script.provider.XScriptContext context, com.sun.star.script.framework.container.ScriptMetaData entry)`
  Opens an editor window for the specified ScriptMetaData.
  `Object`
  `execute()`
  Executes the script edited by the editor
  `static ScriptEditorForooRexx`
  `getEditor()`
  Returns the global ScriptEditorForooRexx instance.
  `static ScriptEditorForooRexx`
  `getEditor(URL url)`
  Get the ScriptEditorForooRexx instance for this URL
  `String`
  `getExtension()`
  Returns the default extension for ooRexx scripts
  `String`
  `getTemplate()`
  Returns the template text for ooRexx scripts
  `String`
  `getText()`
  Returns the text being displayed in this ScriptEditorForooRexx
  `void`
  `indicateErrorLine(int lineNum)`
  Indicates the line where error occured
  `boolean`
  `isModified()`
  Returns whether or not the script source being edited in this ScriptEditorForooRexx has been modified
  `void`
  `setScriptMetaData(com.sun.star.script.framework.container.ScriptMetaData smd)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getEditor

    public static ScriptEditorForooRexx getEditor()
    Returns the global ScriptEditorForooRexx instance.

  - ### getEditor

    public static ScriptEditorForooRexx getEditor(URL url)
    Get the ScriptEditorForooRexx instance for this URL
    Parameters:
      `url` - The URL of the script source file
    Returns:
      The ScriptEditorForooRexx associated with the given URL if one exists, otherwise null.

  - ### isModified

    public boolean isModified()
    Returns whether or not the script source being edited in this ScriptEditorForooRexx has been modified

  - ### getText

    public String getText()
    Returns the text being displayed in this ScriptEditorForooRexx
    Returns:
      The text displayed in this ScriptEditorForooRexx

  - ### getTemplate

    public String getTemplate()
    Returns the template text for ooRexx scripts
    Specified by:
      `getTemplate` in interface `com.sun.star.script.framework.provider.ScriptEditor`
    Returns:
      The template text for ooRexx scripts

  - ### getExtension

    public String getExtension()
    Returns the default extension for ooRexx scripts
    Specified by:
      `getExtension` in interface `com.sun.star.script.framework.provider.ScriptEditor`
    Returns:
      The default extension for ooRexx scripts

  - ### indicateErrorLine

    public void indicateErrorLine(int lineNum)
    Indicates the line where error occured
    Specified by:
      `indicateErrorLine` in interface `com.sun.star.script.framework.provider.ScriptEditor`

  - ### setScriptMetaData

    public void setScriptMetaData(com.sun.star.script.framework.container.ScriptMetaData smd)

  - ### execute

    public Object execute() throws Exception
    Executes the script edited by the editor
    Specified by:
      `execute` in interface `com.sun.star.script.framework.provider.ScriptEditor`
    Throws:
      `Exception`

  - ### edit

    public void edit(com.sun.star.script.provider.XScriptContext context, com.sun.star.script.framework.container.ScriptMetaData entry)
    Opens an editor window for the specified ScriptMetaData. If an editor window is already open for that data it will be moved to the front.
    Specified by:
      `edit` in interface `com.sun.star.script.framework.provider.ScriptEditor`
    Parameters:
      `context` - The context in which to execute the script
      `entry` - The metadata describing the script

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    Specified by:
      `actionPerformed` in interface `ActionListener`